package cn.com.tenlion.systembase.pojo.vos.school;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SchoolVO
 * @Description: 学校
 * @Author: CodeFactory
 * @Date: 2021-10-12 17:11:37
 * @Version: 3.0
 **/
@ApiModel
public class SchoolVO {

    @ApiModelProperty(name = "schoolName", value = "学校名称")
    private String schoolName;
    @ApiModelProperty(name = "schoolAddress", value = "学校地址")
    private String schoolAddress;
    @ApiModelProperty(name = "runningType", value = "学校办学类型字典表ID")
    private String runningType;
    @ApiModelProperty(name = "runningTypeName", value = "学校办学类型名称")
    private String runningTypeName;
    @ApiModelProperty(name = "runningTypeCode", value = "学校办学类型编码")
    private String runningTypeCode;
    @ApiModelProperty(name = "belongDept", value = "学校所属主管教育行政部门字典表ID")
    private String belongDept;
    @ApiModelProperty(name = "belongDeptName", value = "学校所属主管教育行政部门名称")
    private String belongDeptName;
    @ApiModelProperty(name = "belongDeptCode", value = "学校所属主管教育行政部门编码")
    private String belongDeptCode;
    @ApiModelProperty(name = "stuCount", value = "在校学生人数")
    @CheckNumberAnnotation(name = "在校学生人数")
    private Integer stuCount;
    @ApiModelProperty(name = "principalName", value = "校长姓名")
    private String principalName;
    @ApiModelProperty(name = "principalPhone", value = "校长联系方式")
    private String principalPhone;
    @ApiModelProperty(name = "defendName", value = "分管安全保卫负责人姓名")
    private String defendName;
    @ApiModelProperty(name = "defendPhone", value = "分管安全保卫负责人联系方式")
    private String defendPhone;
    @ApiModelProperty(name = "safeName", value = "安全保卫责任人姓名")
    private String safeName;
    @ApiModelProperty(name = "safePhone", value = "安全保卫责任人联系方式")
    private String safePhone;
    @ApiModelProperty(name = "securityName", value = "治安负责人姓名")
    private String securityName;
    @ApiModelProperty(name = "securityPhone", value = "治安负责人联系方式")
    private String securityPhone;
    @ApiModelProperty(name = "securityCount", value = "安全保卫人数")
    private Integer securityCount;
    @ApiModelProperty(name = "longitude", value = "经度")
    private Double longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private Double latitude;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "dataFrom", value = "数据来源（0：系统录入；1：批量导入）")
    private String dataFrom;
    @ApiModelProperty(name = "remake", value = "remake")
    private String remake;

    public String getSchoolName() {
        return schoolName == null ? "" : schoolName.trim();
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolAddress() {
        return schoolAddress == null ? "" : schoolAddress.trim();
    }

    public void setSchoolAddress(String schoolAddress) {
        this.schoolAddress = schoolAddress;
    }

    public String getRunningType() {
        return runningType == null ? "" : runningType.trim();
    }

    public void setRunningType(String runningType) {
        this.runningType = runningType;
    }

    public String getRunningTypeName() {
        return runningTypeName == null ? "" : runningTypeName.trim();
    }

    public void setRunningTypeName(String runningTypeName) {
        this.runningTypeName = runningTypeName;
    }

    public String getRunningTypeCode() {
        return runningTypeCode == null ? "" : runningTypeCode.trim();
    }

    public void setRunningTypeCode(String runningTypeCode) {
        this.runningTypeCode = runningTypeCode;
    }

    public String getBelongDept() {
        return belongDept == null ? "" : belongDept.trim();
    }

    public void setBelongDept(String belongDept) {
        this.belongDept = belongDept;
    }

    public String getBelongDeptName() {
        return belongDeptName == null ? "" : belongDeptName.trim();
    }

    public void setBelongDeptName(String belongDeptName) {
        this.belongDeptName = belongDeptName;
    }

    public String getBelongDeptCode() {
        return belongDeptCode == null ? "" : belongDeptCode.trim();
    }

    public void setBelongDeptCode(String belongDeptCode) {
        this.belongDeptCode = belongDeptCode;
    }

    public Integer getStuCount() {
        return stuCount == null ? 0 : stuCount;
    }

    public void setStuCount(Integer stuCount) {
        this.stuCount = stuCount;
    }

    public String getPrincipalName() {
        return principalName == null ? "" : principalName.trim();
    }

    public void setPrincipalName(String principalName) {
        this.principalName = principalName;
    }

    public String getPrincipalPhone() {
        return principalPhone == null ? "" : principalPhone.trim();
    }

    public void setPrincipalPhone(String principalPhone) {
        this.principalPhone = principalPhone;
    }

    public String getDefendName() {
        return defendName == null ? "" : defendName.trim();
    }

    public void setDefendName(String defendName) {
        this.defendName = defendName;
    }

    public String getDefendPhone() {
        return defendPhone == null ? "" : defendPhone.trim();
    }

    public void setDefendPhone(String defendPhone) {
        this.defendPhone = defendPhone;
    }

    public String getSafeName() {
        return safeName;
    }

    public void setSafeName(String safeName) {
        this.safeName = safeName;
    }

    public String getSafePhone() {
        return safePhone;
    }

    public void setSafePhone(String safePhone) {
        this.safePhone = safePhone;
    }

    public String getSecurityName() {
        return securityName;
    }

    public void setSecurityName(String securityName) {
        this.securityName = securityName;
    }

    public String getSecurityPhone() {
        return securityPhone;
    }

    public void setSecurityPhone(String securityPhone) {
        this.securityPhone = securityPhone;
    }

    public Integer getSecurityCount() {
        return securityCount;
    }

    public void setSecurityCount(Integer securityCount) {
        this.securityCount = securityCount;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getDataFrom() {
        return dataFrom;
    }

    public void setDataFrom(String dataFrom) {
        this.dataFrom = dataFrom;
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }
}
